#!/bin/sh
#
# Author: Petter Reinholdtsen <pere@hungry.com>
# Date:   2001-08-31
#
# Update debian/control with the current package list.

extract=tools/extract-packages.pl
ldir=lists
tmpfile=/var/tmp/mkdebcontrol-temp-$$.sh

echo "cat debian/control.in |" > $tmpfile

for task in common networked main-server \
	workstation thin-client-server \
	standalone standalone-extras \
	laptop; do
    echo "Extracting $task package list"
    pkgs=`$extract $ldir/$task.txt|tr "\n" ","|sed 's/,$//'`
    echo " sed 's/@${task}pkg@/$pkgs/' |" >> $tmpfile
done
echo " cat > debian/control" >> $tmpfile

sh $tmpfile
rm $tmpfile
